# Uses of Class
org.eclipse.jface.action.MenuManager

Packages that use MenuManager
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of MenuManager in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
CompareEditorInput.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`
`void`
ICompareContainer.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`
Register the content menu with the container to give the container a chance to add additional items to the context menu such as popup menu object contributions.

## Uses of MenuManager in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return MenuManager
Modifier and Type
Method
Description
`protected MenuManager`
AbstractMemoryRendering.`getPopupMenuManager()`
Returns the pop up menu manager for this rendering, or `null` if none.

## Uses of MenuManager in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return MenuManager
Modifier and Type
Method
Description
`MenuManager`
ToolBarManager.`getContextMenuManager()`
Returns the context menu manager for this tool bar manager.
Methods in org.eclipse.jface.action with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
ToolBarManager.`setContextMenuManager(MenuManager contextMenuManager)`
Sets the context menu manager for this tool bar manager to the given menu manager.

## Uses of MenuManager in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return MenuManager
Modifier and Type
Method
Description
`protected MenuManager`
ApplicationWindow.`createMenuManager()`
Returns a new menu manager for the window.
`MenuManager`
ApplicationWindow.`getMenuBarManager()`
Returns the menu bar manager for this window (if it has one).

## Uses of MenuManager in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
SaveableCompareEditorInput.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`

## Uses of MenuManager in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
IEditorSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
Registers a pop-up menu with a particular id for extension.
`void`
IEditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
Registers a pop-up menu with the default id for extension.
`void`
IWorkbenchPartSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with a particular id for extension.
`void`
IWorkbenchPartSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with the default id for extension.

## Uses of MenuManager in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
NavigatorActionService.`prepareMenuForPlatformContributions(MenuManager menu, ISelectionProvider aSelectionProvider, boolean force)`
Prepares the menu for object contributions, if the option is set in the extension.
`void`
ICommonViewerWorkbenchSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with a particular id for extension.

## Uses of MenuManager in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
IPageSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with a particular id for extension.
`void`
MultiPageEditorSite.`registerContextMenu(String menuID, MenuManager menuMgr, ISelectionProvider selProvider)`
The `MultiPageEditorSite` implementation of this `IWorkbenchPartSite` method forwards to the multi-page editor for registration.
`final void`
MultiPageEditorSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void`
MultiPageEditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selProvider)`
The `MultiPageEditorSite` implementation of this `IWorkbenchPartSite` method forwards to the multi-page editor for registration.
`final void`
MultiPageEditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void`
PageSite.`registerContextMenu(String menuID, MenuManager menuMgr, ISelectionProvider selProvider)`